Get file metadata
GET/v2/themes/{themeId}/rive-graphics/{graphicId}/files/metadata
GET
/v2/themes/{themeId}/rive-graphics/{graphicId}/files/metadata
const url = 'https://api.ligr.live/rest/v2/themes/1/rive-graphics/example/files/metadata?version=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ligr.live/rest/v2/themes/1/rive-graphics/example/files/metadata?version=example' \ --header 'Authorization: Bearer <token>'Beta. This operation can change between minor versions. See Beta status.
Return file availability for a working or exact published Rive version.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”themeId
required
number format: double
graphicId
required
string
Query Parameters
Section titled “Query Parameters”version
required
string
assetId
string
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
assetId
required
string
runtimeAvailable
required
boolean
originalAvailable
required
boolean
sourceKind
required
string
originalFilename
required
string
selectedEntry
required
string
archive
required
boolean
editableSource
required
boolean
Example
{ "sourceKind": "runtime"}Invalid Rive request
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Theme, import, graphic, version, or file not found
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive import or graphic state conflict
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive candidate or source is no longer available
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive file or configuration cannot be used
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}Rive source imports are unavailable
Media typeapplication/json
object
message
required
string
code
required
string
Examplegenerated
{ "message": "example", "code": "example"}